# pht\Vector::__construct

(PECL pht >= 0.0.1)

pht\Vector::__construct — Vector creation

### Description

public pht\Vector::__construct ([ int `$size` = 0 [, mixed `$value` = 0 ]] ) : Vector

Handles the creation of a new vector.

### Parameters

`size`

  The size of the vector that will be created.

`value`

  The value to initialise the empty slots in the vector to.

### Return Values

No return value.

### Examples

Example #1 Creating a new vector

`<?php
use pht\Vector;
$vector1 = new Vector(1);
$vector2 = new Vector(2, 1);
var_dump($vector1, $vector2);`

The above example will output:

    object(pht\Vector)#1 (1) {
      [0]=>
      int(0)
    }
    object(pht\Vector)#2 (2) {
      [0]=>
      int(1)
      [1]=>
      int(1)
    }